//----------- Copyright  2005-2007, 7thSquad, all rights reserved ------------
//
// This contents is the property of 7thSquad team.
// The contents may be used and/or copied only with the written permission of
// 7thSquad team, or in accordance with the terms and conditions stipulated in
// the agreement/contract under which the contents have been supplied.
//
// Author:	KEXIK
// Purpose:	Countdown Timer class definition
//-----------------------------------------------------------------------------

/************************************************************************

Odpotavac mic. 
Je mon nastavit nkolik odpotavadel a zskat jejich identifiktor.
Kdykoli je mon zjistit, zda ji zadan as pro dan odpotavadlo
vyprel a pop. je mon ho ihned resetovat.

-pokud je m_startTime 0 je timer zakzn
-pokud je m_time 0 je timer voln, je mon ho pout
-SetTimer ho zrove i resetuje == povol
-Resetovn == povolen (pak je mon zakzat hned po danm voln)

************************************************************************/

#pragma once

#include <windows.h>
#include "common.h"
#include "ip3dcountdowntimer.h"

#define MAX_TIMERS 100

//---------------------------------
class CP3DCountdownTimer : public IP3DCountdownTimer
{
public:
	CP3DCountdownTimer();
	~CP3DCountdownTimer();
	unsigned int CreateTimer(unsigned long numMs);
	void SetTime(unsigned int timerId, unsigned long numMs);
	bool IsTimeElapsed(unsigned int timerId, bool ifTrueResetTimer);
	void DeleteTimer(unsigned int timerId);
	void ResetTimer(unsigned int timerId);
	void EnableTimer(unsigned int timerId, bool bEnable);
	unsigned long GetTimeElapsed(unsigned int timerId);
	unsigned long GetTime(unsigned int timerId);
	unsigned long GetTimeRemaining(unsigned int timerId);
private:
	unsigned long m_startTime[MAX_TIMERS]; // zatek asu, od kterho se m dan timer (index)
	unsigned long m_time[MAX_TIMERS]; // doby timer (index)
};
